<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbSslCaTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_ssl_ca', function(Blueprint $table)
		{
			$table->foreign('parent_ssl_ca_id', 'fk_sca')->references('id')->on('ab_ssl_ca')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('account_id', 'fk_sca_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_ssl_ca', function(Blueprint $table)
		{
			$table->dropForeign('fk_sca');
			$table->dropForeign('fk_sca_acc');
		});
	}

}
